create project by solution

The create project by solution API sends a POST request to create a project using solution center.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a project name of at least 3 characters.
  • The caller must provide a preexisting solution name.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Request Body
Field nameDescriptionFormat
projectNameThe name of the projectString
solutionNameThe name of the solutionString
Response Body
Field nameDescriptionFormat
idThe id of the projectString
nameThe name of the projectString

Examples

{
  "solutionName": "account-cics-microservice",
  "projectName": "project-by-solution-mainframe-rpc"
}
{
  "id": "00000000-0000-0000-0001-000000000111",
  "name": "project-by-solution-mainframe-rpc"
}
Body Params
string
required
string
required
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json